Subject: Re: bug#15478: cc-mode does not obey electric-indent-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Oct 2013 09:49:51 +0300

> From: Josh <[email-masked]>
> Date: Mon, 7 Oct 2013 14:17:23 -0700
> Cc: Alan Mackenzie <[email-masked]>, Stefan Monnier <[email-masked]>, 
> 	[email-masked]
> 
> > > > Do you hear many complaints about other undocumented variables?
> > >
> > > Here, the variable need only be accessed through the function below.  The
> > > emphasis on this variable is only in discussions like this one, not in
> > > user facilities.
> >
> > Right.  And in any case, I meant complaints about the behavior, not
> > about the variables/functions that control it.
> 
> I know what you meant.  The reason I pointed out the fact that that the
> variable that supposedly "solved" this is undocumented, that newbies will
> not recognize "electric" as pertinent, and all the rest of it is to show
> that disabling this behavior is far too arcane and burdensome for newbies.

I know what you wanted to point out.  What I want to point out is that
people complain about inconvenient behavior even if (and mostly
_because_) they cannot find how to disable it.  Existence of obscure
variables, or lack thereof, is never a reason _not_ to complain.

> As Daniel said upthread, "Users don't read READMEs --- they download a
> program, try it out, and in 15 minutes or so, decide whether they want to
> invest time into it."  I believe that most such users who dislike this
> behavior and start down the path I described will fail and be far less
> likely to invest further time in Emacs and move on to something else.
> Perhaps such users are a small minority; I don't know.  But I attribute the
> fact that you see few complaints about this behavior to selection bias,
> with some who dislike the behavior not complaining because they gave up and
> moved on to another editor while still others who dislike it do not
> complain because we managed to disable it ourselves.

This hypothesis is not useful, because it can "justify" any opinion,
without being burdened with any evidence whatsoever.  The fact is that
users do complain about all sorts of Emacs behavior that is
inconvenient for them.  So, as a matter of fact, enough users do
survive the 15-minute shock to continue using Emacs.  If most of those
who do don't see the current electrical behavior as a nuisance worth
complaining about, that is good enough for me.